Module java.xml

# Package org.w3c.dom.ranges

Provides interfaces for DOM Level 2 Range. Refer to the Document Object Model (DOM) Level 2 Traversal and Range Specification, the Range module defines specialized interfaces for identifying and manipulating a range in a document.

Since:
  1.5

- Interface Summary
  Interface | Description
  --- | ---
  DocumentRange | See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.
  Range | See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

- Exception Summary
  Exception | Description
  --- | ---
  RangeException | Range operations may throw a `RangeException` as specified in their method descriptions.